#pragma once
#include "../../stdafx.h"

void glLibInternal_generate_shader_add_funcs_sum(string* program);
void glLibInternal_generate_shader_add_funcs_round(string* program);

void glLibInternal_generate_shader_add_funcs_depthbuffer(string* program);

void glLibInternal_generate_shader_add_funcs_normalmap(string* program);

void glLibInternal_generate_shader_add_funcs_parallaxmap(string* program);
void glLibInternal_generate_shader_add_funcs_parallaxocclusionmap(string* program);

void glLibInternal_generate_shader_add_funcs_absorb2(string* program);
void glLibInternal_generate_shader_add_funcs_absorb4(string* program);
void glLibInternal_generate_shader_add_funcs_absorb6(string* program);
void glLibInternal_generate_shader_add_funcs_absorb8(string* program);

void glLibInternal_generate_shader_add_funcs_shadowmap(string* program);
void glLibInternal_generate_shader_add_funcs_cubemap(string* program);
void glLibInternal_generate_shader_add_funcs_fresnel(string* program);
void glLibInternal_generate_shader_add_funcs_abslight(string* program);
void glLibInternal_generate_shader_add_funcs_light(string* program);
void glLibInternal_generate_shader_add_funcs_causticmap(string* program);
void glLibInternal_generate_shader_add_funcs_rotation(string* program);

void glLibInternal_generate_shader_add_vars_texcoord(string* program);
void glLibInternal_generate_shader_add_vars_material(string* program);